Ubuntu

No HDMI audio with ALC883 chipset

Reported by tonym on 2007-10-02
58
This bug affects 6 people
Affects Status Importance Assigned to Milestone
ALSA driver
New
Unknown
linux (Ubuntu)
Medium
Unassigned
linux-source-2.6.22 (Ubuntu)
Medium
Ubuntu Audio Team
linux-ubuntu-modules-2.6.24 (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: linux-source-2.6.22

No Audio via HDMI, with the latest Gutsy x86_64 beta, and the last stable Feisty x86_64 release.
Audio does work via the standard 3.5mm audio jacks, but is very quiet - I've confirmed that nothing is muted / turned down.

aplay shows the sound device:

$ aplay --list-devices
**** List of PLAYBACK Hardware Devices ****
card 0: NVidia [HDA NVidia], device 0: ALC883 Analog [ALC883 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: NVidia [HDA NVidia], device 1: ALC883 Digital [ALC883 Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
tony@mythbox:~$

The motherboard is an Abit "AN-M2HD" (has the GeForce®7050PV/nForce 630a chipset), and has been confirmed as working under windows.

Attachments to follow.

tonym (tony-hillsidethickets) wrote :

r

tonym (tony-hillsidethickets) wrote :

r

tonym (tony-hillsidethickets) wrote :
tonym (tony-hillsidethickets) wrote :
tonym (tony-hillsidethickets) wrote :
tonym (tony-hillsidethickets) wrote :
description: updated
Changed in linux-source-2.6.22:
assignee: nobody → ubuntu-audio
importance: Undecided → Medium
status: New → Triaged
BrianH (bahemr) wrote :

I can confirm that I too have this issue with no audio over HDMI on the Abit AN-M2HD (ALC883). It seems as if the hardware is being detected properly as far as I can tell, just no sound is coming through.

I have subscribed to the thread, so if there is any additional information that I can supply or things that I can test, I'd be more than happy to. I would really like to get this working for my Mythtv setup. Currently I am using the 3.5mm jack as a stereo output to my HDTV, and that works fine as a temporary solution.

tonym (tony-hillsidethickets) wrote :

Just as an FYI - things are still broken under the now stable gutsy release. I did a manual compile of the new alsa (1.0.15) which broke audio even more (no audio what so ever..) I had to follow "method d" here https://wiki.ubuntu.com/Gutsy_Intel_HD_Audio_Controller to get the device to appear in aplay et al again. Sadly i'm not at the machine to test if I actually have working audio, so I'll update on that front tonight.

tonym (tony-hillsidethickets) wrote :

I can confirm that there is still no audio, despite my last batch of tinkering. I'm going to roll back to the version of alsa that ships with gutsy for now.

Dave Walker (davewalker) wrote :

Same problem on MSI K9AGM2-FIH, same chipset.

$ aplay -L
~<SNIP>~
null
    Discard all samples (playback) or generate zero samples (capture)
iec958:CARD=HDMI,DEV=0
    HDA ATI HDMI
    IEC958 (S/PDIF) Digital Audio Output

Gernot Pansy (notz) wrote :

i don't think so, because on abit the hdmi device is not listed.

have you tried to specify iec958 device with aplay or tried to configure asound.conf? http://ubuntuforums.org/showthread.php?t=219631&page=2

bmilleker (bmilleker-gmail) wrote :

Here is the output from my aplay -L. I am running the abit an-m2hd.

# aplay -L
default:CARD=NVidia
    HDA NVidia, ALC883 Analog
    Default Audio Device
front:CARD=NVidia,DEV=0
    HDA NVidia, ALC883 Analog
    Front speakers
surround40:CARD=NVidia,DEV=0
    HDA NVidia, ALC883 Analog
    4.0 Surround output to Front and Rear speakers
surround41:CARD=NVidia,DEV=0
    HDA NVidia, ALC883 Analog
    4.1 Surround output to Front, Rear and Subwoofer speakers
surround50:CARD=NVidia,DEV=0
    HDA NVidia, ALC883 Analog
    5.0 Surround output to Front, Center and Rear speakers
surround51:CARD=NVidia,DEV=0
    HDA NVidia, ALC883 Analog
    5.1 Surround output to Front, Center, Rear and Subwoofer speakers
surround71:CARD=NVidia,DEV=0
    HDA NVidia, ALC883 Analog
    7.1 Surround output to Front, Center, Side, Rear and Woofer speakers
null
    Discard all samples (playback) or generate zero samples (capture)

Johan Christiansen (johandc) wrote :

I have exactly the same problem and hardware as Tony M. The motherboard is an Abit an-m2hd.

The output of aplay is the same as shown above, so no need to display that.

Does a fix for this exist yet? Or how about any idas as to where the problem is coming from?

DropIt (djdropit) wrote :

Same issue, same hardware, let me know if I can assist in testing a patch.

Stephen (smagill) wrote :

I have this issue too. Again, same motherboard and willing to help test.

DropIt (djdropit) wrote :

I don't know if it helps (I'm still learning Linux) but nVidia lists the proper driver for HDA Audio as hda_intel.c

tsultana (tsultana) wrote :

I have the same problem with ALC883 but with a different motherboard. The ASRock 4COREDUAL-SATA2 PT880 775 runing an Intel Duo Core 2 processor. The sound is very quiet but can be heard at near full volume.

Stephen (smagill) wrote :

Are we sure that there is supposed to be support in the driver for audio over HDMI with NVIDIA nforce chipsets? That is, is this a missing feature in the current drivers or broken code? Grepping the driver source from Realtek's site reveals references to HDMI for ATI chipsets, but nothing for nforce chipsets.

tonym (tony-hillsidethickets) wrote :

@Stephen,
ahhh, then that may be the root of the problem.. I'll fire off an email to Realtek and see if they can shed any light on the situation. Thanks for your help though!

tonym (tony-hillsidethickets) wrote :

Realtek say it "should" work, and it may just be a case of enabling the spdif out put, which is controlled by the video drivers apparently.
I'll go back to abit (as nvidia won't support oem'ed hardware) and see if I can get anything other than "sorry, we don't support linux" out of them.

BrianH (bahemr) wrote :

I found in the NVidia forums where it has been asked and the answer is that audio over HDMI is NOT currently supported in the NVidia Linux drivers and it may be supported sometime in the future.

http://www.nvnews.net/vbulletin/showthread.php?t=97993&highlight=hdmi+audio

tonym (tony-hillsidethickets) wrote :

Yeah, I saw that. I guess we can close this ticket for the time being..
Anyone wanna buy a second hand abit mobo? ;)

DropIt (djdropit) wrote :

FYI, there has been a bug reported in the ALSA bugtracking system for this issue, and it actually references this bug for ubuntu. In the ALSA system it has been assigned and is currently listed as a major bug in version 1.0.15 of the driver, but there hasn't been any updates since 11-2-07.

Dewey_Oxberger (jonb-cirris) wrote :

That bugtrack bug is similar to 0003654: https://bugtrack.alsa-project.org/alsa-bug/view.php?id=3654

Bug 0003654 is being worked on.

falstaff (falstaff) wrote :

Is it the same device like here: https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/160277

Try this:
head -n1 /proc/asound/card0/codec#*

If its something like this:
Codec: Generic 1095 ID 1392

Its maybe resolved (describet on the link above)

Would someone be willing test the latest Hardy Alpha release and verify if this issue still exists? linux-ubuntu-modules-2.6.24 has an updated version of ALSA, version 1.0.16. You can download and try the new Hardy Heron Alpha release from http://cdimage.ubuntu.com/releases/hardy/ . You should be able to then test via the LiveCD. If you can, please verify if this bug still exists or not and report back your results. General information regarding the release can also be found here: http://www.ubuntu.com/testing/ . Thanks

Changed in linux-source-2.6.24:
status: New → Incomplete
tonym (tony-hillsidethickets) wrote :

Of course - The box in question is a combined myth front&backend, so it'll need to wait till the weekend, when I'll be able to boot it off the livecd without getting shouted at for taking the box down :)

In all honesty, I'd completely forgotten about this - Nvidia have basically said the it won't work, and they they *might* release drivers in the future. Either way, I've got nothing to lose from pulling down the hardy alpha and having a poke around, which is something I've been meaning to do anyway! :D

Gernot Pansy (notz) wrote :

i have opened a new bug on alsa project (old one is closed). for me the bug is not resolved with alsa 1.0.16.

https://bugtrack.alsa-project.org/alsa-bug/view.php?id=3812

tsultana (tsultana) wrote :

I have run the Hardy Heron Alpha LiveCD 3/1/2008 and I still have the problem with ALC883.

tonym (tony-hillsidethickets) wrote :

No Luck at all with Hardy alpha 5:

http://pastebin.ca/925855

Johan Christiansen (johandc) wrote :

I can confirm that it still does not work in Hady alpha 5.

Changed in linux-ubuntu-modules-2.6.24:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: Incomplete → Triaged
Andrew (andrewpostcard-cmp) wrote :

Also see https://bugs.launchpad.net/ubuntu/+source/linux-ubuntu-modules-2.6.24/+bug/211644

HDA (non-HDMI) Asus P5E-VM do Motherboard with ALC883 chip has similar problems - but note that more than one bug is being reported at this link.
For the Asus motherboard sound at low volume can be obtained from the black socket, but nothing comes out of the green! I booted up puppy linux v4.00 rc yesterday (Kernel 2.6.21), and that works perfectly with this hardware.

Benoit Bégin (bbegin) wrote :

Possible solution:

I used to make work my HDMI audio by doing this:

Open the mixer ans select "Realtek ALC833 (OSS Mixer)" as the device.
Edit / Preferences. Check "Digital-1" and select Close.
In the Recording tab, ajust the volume of the Digital-1 to the preferred level.

Your HDMI audio should now work. My understanding is that the "SPDIF" digital output is the one that's used under HDMI, but this output gets classified in the recording / input class (bug?).

DropIt (djdropit) wrote :

For those with the nvidia chip set, apparently they haven't implemented the functionality yet, and plan on adding it in driver 177:

http://www.nvnews.net/vbulletin/showpost.php?p=1625546&postcount=33

It unfortunately appears that this bug is not yet resolved. Does this issue still exist in the Hardy Heron 8.04 LTS release? If so, the Intrepid Ibex 8.10 Alpha2 is also scheduled for release today. It will appear at the following when available: http://www.ubuntu.com/testing/intrepid/alpha2 . It contains the actively developed 2.6.26 Ubuntu kernel. It would be great if you could test this upcoming release via a LiveCD and verify if the issue still exists. If so, please include the appropriate debugging information as outlined at https://wiki.ubuntu.com/DebuggingSoundProblems . Thanks in advance.

Changed in linux:
assignee: nobody → hanno-stock
status: New → Incomplete
Changed in alsa-driver:
status: Unknown → New

Also just wanted to add a note that beginning with the Intrepid release cycle, the linux-ubuntu-modules package was actually merged with the linux kernel source package. So going forward bugs which would have been reported against linux-ubuntu-modules should now be against just linux. Also against 2.6.22 and 2.6.24 this will be closed as it does not qualify for a Stable Release Update - http://wiki.ubuntu.com/StableReleaseUpdate . Thanks.

Changed in linux-source-2.6.22:
status: Triaged → Won't Fix
Changed in linux-ubuntu-modules-2.6.24:
status: Triaged → Won't Fix

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Bot (tomj-syn-packet) wrote :

Running 8.10 2.6.27-2-generic and no audio from HDMI. Alsa still does not see an HDMI device. My hardware is a Dell Studio Hybrid.

aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: ALC888 Analog [ALC888 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 1: ALC888 Digital [ALC888 Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

Notice the ALC883 works with 8.04 and 8.10

aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: ALC883 Analog [ALC883 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 1: ALC883 Digital [ALC883 Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 3: ATI HDMI [ATI HDMI]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

Changed in linux:
assignee: hanno-stock → ubuntu-kernel-team
importance: Undecided → Medium
status: Incomplete → Triaged
Gernot Pansy (notz) wrote :

on recent intrepid kernel (2.6.27-6-generic) something changed. it's now detected as ALC888:

aplay -L
default:CARD=NVidia
    HDA NVidia, ALC888 Analog
    Default Audio Device
front:CARD=NVidia,DEV=0
    HDA NVidia, ALC888 Analog
    Front speakers
surround40:CARD=NVidia,DEV=0
    HDA NVidia, ALC888 Analog
    4.0 Surround output to Front and Rear speakers
surround41:CARD=NVidia,DEV=0
    HDA NVidia, ALC888 Analog
    4.1 Surround output to Front, Rear and Subwoofer speakers
surround50:CARD=NVidia,DEV=0
    HDA NVidia, ALC888 Analog
    5.0 Surround output to Front, Center and Rear speakers
surround51:CARD=NVidia,DEV=0
    HDA NVidia, ALC888 Analog
    5.1 Surround output to Front, Center, Rear and Subwoofer speakers
surround71:CARD=NVidia,DEV=0
    HDA NVidia, ALC888 Analog
    7.1 Surround output to Front, Center, Side, Rear and Woofer speakers
hdmi:CARD=NVidia,DEV=0
    HDA NVidia
    HDMI Audio Output
null
    Discard all samples (playback) or generate zero samples (capture)

but their as no new device:

aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: NVidia [HDA NVidia], device 0: ALC888 Analog [ALC888 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: NVidia [HDA NVidia], device 1: ALC888 Digital [ALC888 Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

perhaps it is fixed with 2.6.28 kernel - their should be hdmi support for newer nvidia chips (MCP79)

tonym (tony-hillsidethickets) wrote :

This sounds promising - I'll pull down the latest RC and test it this weekend.

tonym (tony-hillsidethickets) wrote :

After a little bit of tinkering (thanks to alsa-backports, and newer nvidia drivers) I now get results matching those above.. Still no audio via hdmi (although I suspect something is happening, as it's killing the audio over the 3.5mm jacks as well now..)

alej (alejandro-avila) wrote :

although I am on a HP dv9000 series laptop, this is the only bug I've been able to find which matches my quest for HDMI Audio

Specs: Linux 2.6.27-7-generic (intrepid 8.10 Beta)
GPU : NVIDIA GeForce Go 7600

these are my aplay -L results

alejandro@alek-ubuntu:~$ aplay -L
front:CARD=NVidia,DEV=0
    HDA NVidia, CONEXANT Analog
    Front speakers
surround40:CARD=NVidia,DEV=0
    HDA NVidia, CONEXANT Analog
    4.0 Surround output to Front and Rear speakers
surround41:CARD=NVidia,DEV=0
    HDA NVidia, CONEXANT Analog
    4.1 Surround output to Front, Rear and Subwoofer speakers
surround50:CARD=NVidia,DEV=0
    HDA NVidia, CONEXANT Analog
    5.0 Surround output to Front, Center and Rear speakers
surround51:CARD=NVidia,DEV=0
    HDA NVidia, CONEXANT Analog
    5.1 Surround output to Front, Center, Rear and Subwoofer speakers
surround71:CARD=NVidia,DEV=0
    HDA NVidia, CONEXANT Analog
    7.1 Surround output to Front, Center, Side, Rear and Woofer speakers
hdmi:CARD=NVidia,DEV=0
    HDA NVidia
    HDMI Audio Output
null
    Discard all samples (playback) or generate zero samples (capture)

and aplay -l

alejandro@alek-ubuntu:~$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: NVidia [HDA NVidia], device 0: CONEXANT Analog [CONEXANT Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: NVidia [HDA NVidia], device 1: Conexant Digital [Conexant Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

I'll try tinkering too and let you all know what I find out...

P.D. ... I agree with you tonym that this sounds promising.... I've been waiting so long for this

Niklas Kullberg (niklaskb) wrote :

I have an Intel G45 motherboard with Realtek ALC889A codec (Gigabyte GA-EG45M-DS2H).
I can't get any sound over HDMI. The analog output works though. I'm using Ubuntu 8.10.

----------------------------------------------------------------

aplay -L
front:CARD=Intel,DEV=0
    HDA Intel, ALC885 Analog
    Front speakers
surround40:CARD=Intel,DEV=0
    HDA Intel, ALC885 Analog
    4.0 Surround output to Front and Rear speakers
surround41:CARD=Intel,DEV=0
    HDA Intel, ALC885 Analog
    4.1 Surround output to Front, Rear and Subwoofer speakers
surround50:CARD=Intel,DEV=0
    HDA Intel, ALC885 Analog
    5.0 Surround output to Front, Center and Rear speakers
surround51:CARD=Intel,DEV=0
    HDA Intel, ALC885 Analog
    5.1 Surround output to Front, Center, Rear and Subwoofer speakers
surround71:CARD=Intel,DEV=0
    HDA Intel, ALC885 Analog
    7.1 Surround output to Front, Center, Side, Rear and Woofer speakers
iec958:CARD=Intel,DEV=0
    HDA Intel, ALC885 Digital
    IEC958 (S/PDIF) Digital Audio Output
hdmi:CARD=Intel,DEV=0
    HDA Intel
    HDMI Audio Output
null
    Discard all samples (playback) or generate zero samples (capture)

aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: ALC885 Analog [ALC885 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 1: ALC885 Digital [ALC885 Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

Dewey_Oxberger (jonb-cirris) wrote :

On an ABit AN-M2HD that uses an NVidia 7050PV chipset with a fresh install of Mythbuntu 8.10 and Nvidia 177.80 I can see that things have changed but I don't think it works:

 aplay -L
default:CARD=NVidia
    HDA NVidia, ALC888 Analog
    Default Audio Device
front:CARD=NVidia,DEV=0
    HDA NVidia, ALC888 Analog
    Front speakers
surround40:CARD=NVidia,DEV=0
    HDA NVidia, ALC888 Analog
    4.0 Surround output to Front and Rear speakers
surround41:CARD=NVidia,DEV=0
    HDA NVidia, ALC888 Analog
    4.1 Surround output to Front, Rear and Subwoofer speakers
surround50:CARD=NVidia,DEV=0
    HDA NVidia, ALC888 Analog
    5.0 Surround output to Front, Center and Rear speakers
surround51:CARD=NVidia,DEV=0
    HDA NVidia, ALC888 Analog
    5.1 Surround output to Front, Center, Rear and Subwoofer speakers
surround71:CARD=NVidia,DEV=0
    HDA NVidia, ALC888 Analog
    7.1 Surround output to Front, Center, Side, Rear and Woofer speakers
hdmi:CARD=NVidia,DEV=0
    HDA NVidia
    HDMI Audio Output
null
    Discard all samples (playback) or generate zero samples (capture)

 aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: NVidia [HDA NVidia], device 0: ALC888 Analog [ALC888 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: NVidia [HDA NVidia], device 1: ALC888 Digital [ALC888 Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

Stefan Pappalardo (sjuk) wrote :
Download full text (5.3 KiB)

No HDMI audio for me with Ubuntu 8.10 (Intrepid) 64 bit.

* --------------------------------------------------------------------------------------------------------------------------------- *;
* MSI Media Live *;
* --------------------------------------------------------------------------------------------------------------------------------- *;

$ lspci
00:00.0 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.2 RAM memory: nVidia Corporation C51 Memory Controller 1 (rev a2)
00:00.3 RAM memory: nVidia Corporation C51 Memory Controller 5 (rev a2)
00:00.4 RAM memory: nVidia Corporation C51 Memory Controller 4 (rev a2)
00:00.5 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.6 RAM memory: nVidia Corporation C51 Memory Controller 3 (rev a2)
00:00.7 RAM memory: nVidia Corporation C51 Memory Controller 2 (rev a2)
00:02.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:03.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:04.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:05.0 VGA compatible controller: nVidia Corporation C51 [GeForce 6150 LE] (rev a2)
00:09.0 RAM memory: nVidia Corporation MCP51 Host Bridge (rev a2)
00:0a.0 ISA bridge: nVidia Corporation MCP51 LPC Bridge (rev a3)
00:0a.1 SMBus: nVidia Corporation MCP51 SMBus (rev a3)
00:0b.0 USB Controller: nVidia Corporation MCP51 USB Controller (rev a3)
00:0b.1 USB Controller: nVidia Corporation MCP51 USB Controller (rev a3)
00:0d.0 IDE interface: nVidia Corporation MCP51 IDE (rev a1)
00:0e.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller (rev a1)
00:0f.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller (rev a1)
00:10.0 PCI bridge: nVidia Corporation MCP51 PCI Bridge (rev a2)
00:10.1 Audio device: nVidia Corporation MCP51 High Definition Audio (rev a2)
00:14.0 Bridge: nVidia Corporation MCP51 Ethernet Controller (rev a3)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
04:06.0 Multimedia controller: Philips Semiconductors SAA7146 (rev 01)
04:08.0 FireWire (IEEE 1394): VIA Technologies, Inc. VT6306 Fire II IEEE 1394 OHCI Link Layer Controller (rev c0)

* --------------------------------------------------------------------------------------------------------------------------------- *;
* ALSA *;
* --------------------------------------------------------------------------------------------------------------------------------- *;

$ aplay --version
aplay: version 1.0.17 by Jaroslav Kysela <email address hidden>

$ aplay -l
**** Liste von PLAYBACK Geräten ****
Karte 0: NVidia [HDA NVidia], Ge...

Read more...

Also have same issue with nVidia Geforce 8200 onboard [xfx 750a sli nforce mb]. I can also just barely hear audio from 3.5 if I out my head next to the external speaker.

alej (alejandro-avila) wrote :
Download full text (4.8 KiB)

Allright, some heart-warming update on my side....

I manually uninstalled the intrepid ibex 8.10 NVIDIA 177 driver and downloaded and installed the 180.08 one from NVIDIA (pkg2.run just to be on the safe side)

Now HDMI Audio works on my HP Pavilion dv9343eu !!!!

It is even funnier, for unlike in Windows, where I must choose between my laptop's loudspeakers or the Digital Conection for Audio Output, in ubuntu with Nvidia 180.08 drivers, both my TV and my loudspeakers put out sound and their volume's are independant from each other....

I guess I should paste in a lot of specs, but I don't really know which.... here go the basic ones :

alejandro@alek-ubuntu:~$ lspci
00:00.0 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.1 RAM memory: nVidia Corporation C51 Memory Controller 0 (rev a2)
00:00.2 RAM memory: nVidia Corporation C51 Memory Controller 1 (rev a2)
00:00.3 RAM memory: nVidia Corporation C51 Memory Controller 5 (rev a2)
00:00.4 RAM memory: nVidia Corporation C51 Memory Controller 4 (rev a2)
00:00.5 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.6 RAM memory: nVidia Corporation C51 Memory Controller 3 (rev a2)
00:00.7 RAM memory: nVidia Corporation C51 Memory Controller 2 (rev a2)
00:02.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:03.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:04.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:09.0 RAM memory: nVidia Corporation MCP51 Host Bridge (rev a2)
00:0a.0 ISA bridge: nVidia Corporation MCP51 LPC Bridge (rev a3)
00:0a.1 SMBus: nVidia Corporation MCP51 SMBus (rev a3)
00:0a.3 Co-processor: nVidia Corporation MCP51 PMU (rev a3)
00:0b.0 USB Controller: nVidia Corporation MCP51 USB Controller (rev a3)
00:0b.1 USB Controller: nVidia Corporation MCP51 USB Controller (rev a3)
00:0d.0 IDE interface: nVidia Corporation MCP51 IDE (rev f1)
00:0e.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller (rev f1)
00:0f.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller (rev f1)
00:10.0 PCI bridge: nVidia Corporation MCP51 PCI Bridge (rev a2)
00:10.1 Audio device: nVidia Corporation MCP51 High Definition Audio (rev a2)
00:14.0 Bridge: nVidia Corporation MCP51 Ethernet Controller (rev a3)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
03:00.0 Network controller: Broadcom Corporation BCM4312 802.11a/b/g (rev 01)
05:00.0 VGA compatible controller: nVidia Corporation G70 [GeForce Go 7600] (rev a1)
07:05.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller
07:05.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 19)
07:05.2 System peripheral: Ricoh Co Ltd R5C843 MMC Host Controller (rev 0a)
07:05.3 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 05)
07:05.4 System peripheral: Ricoh Co Ltd xD-Picture Card Cont...

Read more...

Belgarth (belgarth4) wrote :
Download full text (3.3 KiB)

I tried upgrading to 180.11 based off of alej's comment on my an-m2hd, but no luck on audio over the hdmi. I'm hoping someone else with my motherboard can try out the new driver and see if they have any luck. I am still new to ubuntu, so it's possible I'm missing something else that needs to be changed.

For what it's worth, here is a couple outputs:
belgarth@media-server:~$ lspci
00:00.0 RAM memory: nVidia Corporation MCP67 Memory Controller (rev a2)
00:01.0 ISA bridge: nVidia Corporation MCP67 ISA Bridge (rev a2)
00:01.1 SMBus: nVidia Corporation MCP67 SMBus (rev a2)
00:01.2 RAM memory: nVidia Corporation MCP67 Memory Controller (rev a2)
00:02.0 USB Controller: nVidia Corporation MCP67 OHCI USB 1.1 Controller (rev a2)
00:02.1 USB Controller: nVidia Corporation MCP67 EHCI USB 2.0 Controller (rev a2)
00:04.0 USB Controller: nVidia Corporation MCP67 OHCI USB 1.1 Controller (rev a2)
00:04.1 USB Controller: nVidia Corporation MCP67 EHCI USB 2.0 Controller (rev a2)
00:06.0 IDE interface: nVidia Corporation MCP67 IDE Controller (rev a1)
00:07.0 Audio device: nVidia Corporation MCP67 High Definition Audio (rev a1)
00:08.0 PCI bridge: nVidia Corporation MCP67 PCI Bridge (rev a2)
00:09.0 IDE interface: nVidia Corporation MCP67 AHCI Controller (rev a2)
00:0a.0 Ethernet controller: nVidia Corporation MCP67 Ethernet (rev a2)
00:0b.0 PCI bridge: nVidia Corporation MCP67 PCI Express Bridge (rev a2)
00:0c.0 PCI bridge: nVidia Corporation MCP67 PCI Express Bridge (rev a2)
00:0d.0 PCI bridge: nVidia Corporation MCP67 PCI Express Bridge (rev a2)
00:0e.0 PCI bridge: nVidia Corporation MCP67 PCI Express Bridge (rev a2)
00:0f.0 PCI bridge: nVidia Corporation MCP67 PCI Express Bridge (rev a2)
00:10.0 PCI bridge: nVidia Corporation MCP67 PCI Express Bridge (rev a2)
00:11.0 PCI bridge: nVidia Corporation MCP67 PCI Express Bridge (rev a2)
00:12.0 VGA compatible controller: nVidia Corporation GeForce 7050 PV / nForce 630a (rev a2)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:07.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A IEEE-1394a-2000 Controller (PHY/Link)
01:0a.0 Multimedia video controller: Internext Compression Inc iTVC16 (CX23416) MPEG-2 Encoder (rev 01)
belgarth@media-server:~$ aplay -L
front:CARD=NVidia,DEV=0
    HDA NVidia, ALC888 Analog
    Front speakers
surround40:CARD=NVidia,DEV=0
    HDA NVidia, ALC888 Analog
    4.0 Surround output to Front and Rear speakers
surround41:CARD=NVidia,DEV=0
    HDA NVidia, ALC888 Analog
    4.1 Surround output to Front, Rear and Subwoofer speakers
surround50:CARD=NVidia,DEV=0
    HDA NVidia, ALC888 Analog
    5.0 Surround output to Front, Center and Rear speakers
surround51:CARD=NVidia,DEV=0
    HDA NVidia, ALC888 Analog
    5.1 Surround output to Front, Center, Rear and Subwoofer speakers
surround71:CARD=NVidia,DEV=0
    HDA NVidia, ALC888 Analog
    7.1 Surround output to Front, C...

Read more...

alej (alejandro-avila) wrote :

Hey Belgarth, sorry to hear that it isn't working for you.... I have a few suggestions to make based on my ongoing fight to make my TV display correctly.

1. I do not get HDMI Audio when using TwinView. I only get HDMI Audio on the TV if I use separate screens. Are you using Twinview? If yes, try separate X windows.

2. I've noticed minor tweaks to xorg.conf also alter the HDMI Audio... I'm still uncertain which and why, but I'll keep you updated with my investigations.

I'm attaching two xorg.conf files.

Separate X --> Uncommenting the CustomEDID option has no effect on the HDMI Audio-> It still works, even though I am getting an EDID contradiction on my /var/log/Xorg.0.log file which I believe is the culprit for not being able to have the TV show a full desktop

The next file on the next post

alej (alejandro-avila) wrote :

Twiview --> This won't give me HDMI Audio... I believe this conf file is pretty clean and not so different from the Separate X conf file, yet it results in something completely different.....
I've been reading the README for 180.11 from front to back and viceversa, and still can't figure out a lot of things, so I'm sure my ignorance here is the one to blame for not being able to coin the subtleties.

Hope this helps...

Download full text (3.8 KiB)

I have the same motherboard, an-m2hd and will be trying it out soon.
I'll let you know what happens.

Dropit

On Dec 3, 2008, at 2:16 AM, Belgarth <email address hidden> wrote:

> I tried upgrading to 180.11 based off of alej's comment on my an-m2hd,
> but no luck on audio over the hdmi. I'm hoping someone else with my
> motherboard can try out the new driver and see if they have any
> luck. I
> am still new to ubuntu, so it's possible I'm missing something else
> that
> needs to be changed.
>
> For what it's worth, here is a couple outputs:
> belgarth@media-server:~$ lspci
> 00:00.0 RAM memory: nVidia Corporation MCP67 Memory Controller (rev
> a2)
> 00:01.0 ISA bridge: nVidia Corporation MCP67 ISA Bridge (rev a2)
> 00:01.1 SMBus: nVidia Corporation MCP67 SMBus (rev a2)
> 00:01.2 RAM memory: nVidia Corporation MCP67 Memory Controller (rev
> a2)
> 00:02.0 USB Controller: nVidia Corporation MCP67 OHCI USB 1.1
> Controller (rev a2)
> 00:02.1 USB Controller: nVidia Corporation MCP67 EHCI USB 2.0
> Controller (rev a2)
> 00:04.0 USB Controller: nVidia Corporation MCP67 OHCI USB 1.1
> Controller (rev a2)
> 00:04.1 USB Controller: nVidia Corporation MCP67 EHCI USB 2.0
> Controller (rev a2)
> 00:06.0 IDE interface: nVidia Corporation MCP67 IDE Controller (rev
> a1)
> 00:07.0 Audio device: nVidia Corporation MCP67 High Definition Audio
> (rev a1)
> 00:08.0 PCI bridge: nVidia Corporation MCP67 PCI Bridge (rev a2)
> 00:09.0 IDE interface: nVidia Corporation MCP67 AHCI Controller (rev
> a2)
> 00:0a.0 Ethernet controller: nVidia Corporation MCP67 Ethernet (rev
> a2)
> 00:0b.0 PCI bridge: nVidia Corporation MCP67 PCI Express Bridge (rev
> a2)
> 00:0c.0 PCI bridge: nVidia Corporation MCP67 PCI Express Bridge (rev
> a2)
> 00:0d.0 PCI bridge: nVidia Corporation MCP67 PCI Express Bridge (rev
> a2)
> 00:0e.0 PCI bridge: nVidia Corporation MCP67 PCI Express Bridge (rev
> a2)
> 00:0f.0 PCI bridge: nVidia Corporation MCP67 PCI Express Bridge (rev
> a2)
> 00:10.0 PCI bridge: nVidia Corporation MCP67 PCI Express Bridge (rev
> a2)
> 00:11.0 PCI bridge: nVidia Corporation MCP67 PCI Express Bridge (rev
> a2)
> 00:12.0 VGA compatible controller: nVidia Corporation GeForce 7050
> PV / nForce 630a (rev a2)
> 00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/
> Opteron] HyperTransport Technology Configuration
> 00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/
> Opteron] Address Map
> 00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/
> Opteron] DRAM Controller
> 00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/
> Opteron] Miscellaneous Control
> 01:07.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A
> IEEE-1394a-2000 Controller (PHY/Link)
> 01:0a.0 Multimedia video controller: Internext Compression Inc
> iTVC16 (CX23416) MPEG-2 Encoder (rev 01)
> belgarth@media-server:~$ aplay -L
> front:CARD=NVidia,DEV=0
> HDA NVidia, ALC888 Analog
> Front speakers
> surround40:CARD=NVidia,DEV=0
> HDA NVidia, ALC888 Analog
> 4.0 Surround output to Front and Rear speakers
> surround41:CARD=NVidia,DEV=0
> HDA NVidia, ALC888 Analog
> 4.1 Surround output to Front, Rear...

Read more...

Belgarth (belgarth4) wrote :

I only have 1 monitor so it is already set to separate.
attaching my xorg.conf incase someone might have some ideas.
My sony aquos comes up as unknown so maybe that has something to do with it, but if so, that would be kinda weird that it would care.

I'm interested in seeing what Dropit's results are.

alej (alejandro-avila) wrote :

Just to make sure Belgarth.....

you do have activated the IEC958 and IEC958 Default PCM switches on your Volume Control and you have selected the HDA Nvidia Device no? .... If you are using a custom built kernel... you also included HDA Intel among the Audio Drivers no?

alej (alejandro-avila) wrote :

Sony Aquos?... isn't Aquos a Sanyo?....

and thinking about it maybe you want to see why your TV's EDID is not getting properly detected.... maybe dropping to console, closing X, and restarting it with the startx -- -logverbose 6 might help you see what is going on through the /var/log/Xorg.0.log log...

Belgarth (belgarth4) wrote :

Sorry, it's a sharp Aquos.

It's the standard ubuntu kernel:
ubelgarth@media-server:~$ uname -r
2.6.27-9-generic

I went through and maxed out the volume on everything through both the ubuntu graphical interface and through alsa mixer.

I had a problem with earlier versions of ubuntu where the system wouldn't detect the EDID which caused problems with the system displaying at 1080p, but in newer versions it doesn't have that part of the problem, probably because it doesn't rely solely on the EDID to know what the max tv resolution supports. I tried to figure out why the EDID was failing to get detected back then, but eventually gave up. I can give it a try again when I get home as well as double check the PCM switches.

Belgarth (belgarth4) wrote :

Hi Alej,

I think the reason yours works and not mine is that it looks like yours is a CONEXANT audio chipset as opposed to the alc888/883 one on the an-m2hd. hdmi support seems to be on a per chipset basis and they seem to be adding one or 2 new ones per release and the alc883 just hasn't been done yet. I don't think there is anything that can be done for me or anyone else with the an-m2hd until the dev's add it in.

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Belgarth (belgarth4) wrote :

good news. This now works with 1.0.19 alsa and the newest nvidia driver. You might have to mess with the asound config to tell pcm to use the hdmi device as the default

Dewey_Oxberger (jonb-cirris) wrote :

I was just working on this last night and it looks promising but I'm still not working. Belgarth, can you post your asound.conf?

Thanks -

Dewey_Oxberger (jonb-cirris) wrote :

It works for me. I didn't do anything special. No asound.conf. I just did a reboot and now when I speaker-test -Dhdmi -c2 it works.

The only problem I seem to have is the volume control in mythtv isn't working for me...

Dewey_Oxberger (jonb-cirris) wrote :

I can't get any volume control to work. Alsamixer doesn't seem to affect the volume. If anyone has any ideas I could sure use them ;)

Dewey_Oxberger (jonb-cirris) wrote :

With the alsa 1.019 and the nvidia 180 or greater this works. In 9.04 it works out of the box.

Changed in linux (Ubuntu):
status: Triaged → Fix Released
tonym (tony-hillsidethickets) wrote :

I can confirm that alsa 1.019 and the Nvidia 180 driver fixes this. Now I just need to figure out how to get mythtv output via the hdmi... :)

Belgarth (belgarth4) wrote :

tonym:
I think you hit the same issue I did. Try adding:

pcm.builtin { type hw; card NVidia; device 3}
pcm.!default pcm.builtin

to your ~/,asoundrc

That fixed it for me. I'd be curious to know why some people it works fine out of the box and for others the sound config needs to manually modified.

Dewey:
For the question about getting the volume control to work: I don't think it's possible, the mixer doesn't have the option to be set to the hdmi specific device, only the hda nvidia generic one which doesn't seem to have any effect.

For anyone:
My current problem is no matter what I have tried, I have been unable to get sound to work within flash in firefox. If anyone has that working, I would be very appreciative to know how to do it.

Dewey_Oxberger (jonb-cirris) wrote :

Belgarth:

With ALSA everything is possible :)

The hdmi device that is defined by default in the newer alsa revs doesn't seem to fix the number of channels or the sample rate. Here is an asound.config that I posted several months ago on the ubuntu forums. This config defines a virtual device that wraps the hardware, then adds channel and rate correction, then adds volume control, then sets that as the default for the system. Works in all the apps I've tried (flash in firefox included):

# Jon B's ASound.Conf file for HDMI Audio on MythTV
# HDMI configuration with volume control for MythTV
# For ALSA 1.0.19 - 1/31/2009

# Instructions for use
# 1) Find your hmdi hardware Card Number and Device Number. Open a terminal and do:
# aplay -L
# That will list all of the hardware audio devices. Look for the one labeled HDMI.
# Note what Card Number and Device Number it lists (they seem to be card 0,
# device 3 but your system may be different).
# 2) Edit the pcm.hdmi_hw device defined here to set your Card Number and Device Number.
# 3) Put this file in either /etc/asound.conf or in your home directory as .asoundrc.
# sudo cp deweys_asound.conf.txt /etc/asound.conf
# or
# sudo cp deweys_asound.conf.txt $HOME/.asound.conf
# 4) Exit mythfrontend. Then restart the sound system:
# sudo /etc/init.d/alsa-utils restart
# 5) Start mythfrontend and go to the audio setup screen
# "Utilities / Setup" then "Setup" then "General" then "Next" until you
# get to the Audio tab.
# 6) Fill in the info - it's case sensitive:
# Audio output device: ALSA:hdmi_complete <--- note you have to type in this field
# Passthrough output devide: Default
# ... Stereo... ... Passive...
# Mixer Device: ALSA:default
# Mixer controls: hdmi_volume <--- type in this field
# 7) Work your way back to Watch TV and give it a try.

pcm.hdmi_hw {
  type hw
  card 0 # <----- Put your card number here
  device 3 # <----- Put your device number here
}

pcm.hdmi_formatted {
  type plug
  slave {
    pcm hdmi_hw
    rate 48000
    channels 2
  }
}

pcm.hdmi_complete {
  type softvol
  slave.pcm hdmi_formatted
  control.name hdmi_volume
  control.card 0
}

pcm.!default hdmi_complete

tonym (tony-hillsidethickets) wrote :

ALSA:hdmi got audio working via myth (although I haven't tested it against anything else - the box is primarily a myth front/backend) and I didn't have to write out an asound.conf.

stout (stoutman) wrote :

I've never gotten this to work out of the box. I did get it to work after a few months of fiddling, but I can't remember what I did and then I had to reinstall Karmic due to other issues and now I have no sound again.

Can anyone tell me what I'm doing wrong?

http://www.alsa-project.org/db/?f=d106f8aaef442ce7beec0fbd74fb4aa03353c147

stout (stoutman) wrote :

Oh, if it matters, it's an ASUS M3N78-EMH HDMI motherboard with an nvidia 8200 chipset. I'm trying to get the HDMI device to show back up so I can send audio out to my tv set.

Thank you.

Dewey_Oxberger (jonb-cirris) wrote :

I'm fairly sure I've got an M3N78-EM that is working just fine under ubuntu 9.04 (mythbuntu).

This is probably a good question to push off to the ubuntu forums.

Try this thread:

http://ubuntuforums.org/showthread.php?t=1140776&highlight=Dewey_Oxberger

No help. Looking at the first post, he has an HDMI device. Mine
doesn't get that far so that thread is already a step ahead of where I
am at!

Dennis

On Wed, Sep 9, 2009 at 9:26 AM, Dewey_Oxberger<email address hidden> wrote:
> I'm fairly sure I've got an M3N78-EM that is working just fine under
> ubuntu 9.04 (mythbuntu).
>
> This is probably a good question to push off to the ubuntu forums.
>
> Try this thread:
>
> http://ubuntuforums.org/showthread.php?t=1140776&highlight=Dewey_Oxberger
>
> --
> No HDMI audio with ALC883 chipset
> https://bugs.launchpad.net/bugs/148097
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in ALSA driver: New
> Status in “linux” package in Ubuntu: Fix Released
> Status in “linux-source-2.6.22” package in Ubuntu: Won't Fix
> Status in “linux-ubuntu-modules-2.6.24” package in Ubuntu: Won't Fix
>
> Bug description:
> Binary package hint: linux-source-2.6.22
>
> No Audio via HDMI, with the latest Gutsy  x86_64 beta, and the last stable Feisty  x86_64 release.
> Audio does work via the standard 3.5mm audio jacks, but is very quiet - I've confirmed that nothing is muted / turned down.
>
> aplay shows the sound device:
>
> $ aplay --list-devices
> **** List of PLAYBACK Hardware Devices ****
> card 0: NVidia [HDA NVidia], device 0: ALC883 Analog [ALC883 Analog]
>  Subdevices: 1/1
>  Subdevice #0: subdevice #0
> card 0: NVidia [HDA NVidia], device 1: ALC883 Digital [ALC883 Digital]
>  Subdevices: 1/1
>  Subdevice #0: subdevice #0
> tony@mythbox:~$
>
> The motherboard is an Abit "AN-M2HD" (has the GeForce®7050PV/nForce 630a chipset), and has been confirmed as working under windows.
>
> Attachments to follow.
>

gidantribal (aedo999) wrote :

 have the same problem with my ACER ASPIRE 6920G:

**** Lista di PLAYBACK dispositivi hardware ****
scheda 0: Intel [HDA Intel], dispositivo 0: ALC889 Analog [ALC889 Analog]
  Sottoperiferiche: 1/1
  Sottoperiferica #0: subdevice #0
scheda 0: Intel [HDA Intel], dispositivo 1: ALC889 Digital [ALC889 Digital]
  Sottoperiferiche: 1/1
  Sottoperiferica #0: subdevice #0

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.